org.codehaus.groovy.tools.groovydoc

## Class FileSystemResourceManager

- java.lang.Object
- - org.codehaus.groovy.tools.groovydoc.FileSystemResourceManager

All Implemented Interfaces:
  ResourceManager

    public class FileSystemResourceManager
    extends java.lang.Object
    implements ResourceManager

### Constructor Summary

Constructors
Constructor and Description
`FileSystemResourceManager()`
`FileSystemResourceManager(java.lang.String basedir)`

### Method Summary

Methods
`java.io.Reader` `getReader(java.lang.String resourceName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FileSystemResourceManager

    public FileSystemResourceManager()

#### FileSystemResourceManager

    public FileSystemResourceManager(java.lang.String basedir)

### Method Detail

#### getReader

    public java.io.Reader getReader(java.lang.String resourceName)
                             throws java.io.IOException

Specified by:
  `getReader` in interface `ResourceManager`
Throws:
  `java.io.IOException`